ZZIP_OPENDIR(3)

NAME
zzip_opendir, zzip_opendir_ext_io - start usage.

SYNOPSIS

#include <zzip/lib.h>

ZZIP_DIR * zzip_opendir((zzip_char_t * filename));

ZZIP_DIR * zzip_opendir_ext_io((zzip_char_t * filename, int o_modes, zzip_strings_t * ext, zzip_plugin_io_t io));

DESCRIPTION

The zzip_opendir function is the equivalent of opendir(3) for a realdir or zipfile.

The zzip_opendir function has some magic - if the given argument-path is a directory, it will wrap a real opendir(3) into the ZZIP_DIR structure. Otherwise it will divert to zzip_dir_open which can also attach a ".zip" extension if needed to find the archive.

the error-code is mapped to errno(3).

The zzip_opendir_ext_io function uses explicit ext and io instead of the internal defaults, setting them to zero is equivalent to zzip_opendir

AUTHOR

    • Guido Draheim <guidod@gmx.de>

COPYRIGHT

Copyright (c) Guido Draheim, use under copyleft (LGPL,MPL)